//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tPredefinedAttributeNameEnum的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * <p>
 * <pre>
 * &lt;simpleType name="tPredefinedAttributeNameEnum"&gt;
 *   &lt;restriction base="{http://www.w3.org/2001/XMLSchema}Name"&gt;
 *     &lt;enumeration value="T"/&gt;
 *     &lt;enumeration value="Test"/&gt;
 *     &lt;enumeration value="Check"/&gt;
 *     &lt;enumeration value="SIUnit"/&gt;
 *     &lt;enumeration value="Oper"/&gt;
 *     &lt;enumeration value="SBO"/&gt;
 *     &lt;enumeration value="SBOw"/&gt;
 *     &lt;enumeration value="Cancel"/&gt;
 *     &lt;enumeration value="Addr"/&gt;
 *     &lt;enumeration value="PRIORITY"/&gt;
 *     &lt;enumeration value="VID"/&gt;
 *     &lt;enumeration value="APPID"/&gt;
 *     &lt;enumeration value="TransportInUse"/&gt;
 *     &lt;enumeration value="IPClassOfTraffic"/&gt;
 *     &lt;enumeration value="IPv6FlowLabel"/&gt;
 *     &lt;enumeration value="IPAddressLength"/&gt;
 *     &lt;enumeration value="IPAddress"/&gt;
 *   &lt;/restriction&gt;
 * &lt;/simpleType&gt;
 * </pre>
 * 
 */
@XmlType(name = "tPredefinedAttributeNameEnum")
@XmlEnum
public enum TPredefinedAttributeNameEnum {

    T("T"),
    @XmlEnumValue("Test")
    TEST("Test"),
    @XmlEnumValue("Check")
    CHECK("Check"),
    @XmlEnumValue("SIUnit")
    SI_UNIT("SIUnit"),
    @XmlEnumValue("Oper")
    OPER("Oper"),
    SBO("SBO"),
    @XmlEnumValue("SBOw")
    SB_OW("SBOw"),
    @XmlEnumValue("Cancel")
    CANCEL("Cancel"),
    @XmlEnumValue("Addr")
    ADDR("Addr"),
    PRIORITY("PRIORITY"),
    VID("VID"),
    APPID("APPID"),
    @XmlEnumValue("TransportInUse")
    TRANSPORT_IN_USE("TransportInUse"),
    @XmlEnumValue("IPClassOfTraffic")
    IP_CLASS_OF_TRAFFIC("IPClassOfTraffic"),
    @XmlEnumValue("IPv6FlowLabel")
    I_PV_6_FLOW_LABEL("IPv6FlowLabel"),
    @XmlEnumValue("IPAddressLength")
    IP_ADDRESS_LENGTH("IPAddressLength"),
    @XmlEnumValue("IPAddress")
    IP_ADDRESS("IPAddress");
    private final String value;

    TPredefinedAttributeNameEnum(String v) {
        value = v;
    }

    public String value() {
        return value;
    }

    public static TPredefinedAttributeNameEnum fromValue(String v) {
        for (TPredefinedAttributeNameEnum c: TPredefinedAttributeNameEnum.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }

}
